## node-cross-fetch 3.1.5%2Bds.1

=== debian/changelog ===
node-cross-fetch (3.1.5+ds.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches/package-json.patch: remove patch
  * d/nodejs/install: install src/node-po{l,n}yfill.js
  * d/nodejs/install: install src/react-native-po{l,n}yfill.js

 -- Nicolas Mora <babelouest@debian.org>  Wed, 26 Jan 2022 07:34:08 -0500

node-cross-fetch (3.1.4+ds.1-2) unstable; urgency=medium

  * d/nodejs/test: remove test file content
  * d/patches/package-json.patch: update package.json
    to replace node-ponyfill.js with cross-fetch.js

 -- Nicolas Mora <babelouest@debian.org>  Sun, 28 Nov 2021 17:46:22 -0500

node-cross-fetch (3.1.4+ds.1-1) unstable; urgency=medium

  * Initial release (Closes: #998685)

 -- Nicolas Mora <babelouest@debian.org>  Wed, 17 Nov 2021 08:26:09 -0500
