=== debian/changelog ===
node-cross-fetch (3.1.5+ds.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-cross-fetch: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:28:56 +0000

node-cross-fetch (3.1.5+ds.1-2) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Add fix for rollup 3 (Closes: #1022683)

 -- Yadd <yadd@debian.org>  Tue, 25 Oct 2022 10:38:51 +0200
