=== debian/control ===
Source: node-cross-fetch
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Nicolas Mora <babelouest@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , rollup
 , node-rollup-plugin-terser
 , node-whatwg-fetch
Standards-Version: 4.6.1
Homepage: https://github.com/lquixada/cross-fetch
Vcs-Git: https://salsa.debian.org/js-team/node-cross-fetch.git
Vcs-Browser: https://salsa.debian.org/js-team/node-cross-fetch
Rules-Requires-Root: no

Package: node-cross-fetch
Architecture: all
Depends:
 ${misc:Depends}
 , node-whatwg-fetch
Multi-Arch: foreign
Description: Universal WHATWG Fetch API for Node, Browsers and React Native
 The scenario that cross-fetch really shines is when the same JavaScript
 codebase needs to run on different platforms.
  * Platform agnostic: browsers, Node or React Native
  * Optional polyfill: it's up to you if something is going to be added to the
    global object or not
  * Simple interface: no instantiation, no configuration and no extra dependency
  * WHATWG compliant: it works the same way wherever your code runs
  * TypeScript support: better development experience with types.
 .
 Node.js is an event-based server-side JavaScript engine.
