## node-cross-fetch 4.0.0+ds

=== debian/changelog ===
node-cross-fetch (4.0.0+ds-2build2) noble; urgency=medium

  * Rebuild against newly botstrapped nodejs packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Nov 2023 23:52:44 +0100

node-cross-fetch (4.0.0+ds-2build1) noble; urgency=medium

  * Rebuild against newly botstrapped nodejs packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Nov 2023 22:41:44 +0100

node-cross-fetch (4.0.0+ds-2) unstable; urgency=medium

  * d/rules: Cleanup dist/ on dh_clean (Closes: #1045532)

 -- Nicolas Mora <babelouest@debian.org>  Sat, 18 Nov 2023 10:40:42 -0500

node-cross-fetch (4.0.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed.
  * d/patches: Update patches

 -- Nicolas Mora <babelouest@debian.org>  Thu, 16 Nov 2023 07:17:50 -0500
