=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  , rollup
  , node-rollup-plugin-terser
  , node-whatwg-fetch
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/lquixada/cross-fetch
 Vcs-Git: https://salsa.debian.org/js-team/node-cross-fetch.git
 Vcs-Browser: https://salsa.debian.org/js-team/node-cross-fetch
